<?xml version="1.0" encoding="UTF-8"?>
<bpmn:definitions xmlns:bpmn="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:dc="http://www.omg.org/spec/DD/20100524/DC" xmlns:camunda="http://camunda.org/schema/1.0/bpmn" xmlns:di="http://www.omg.org/spec/DD/20100524/DI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:modeler="http://camunda.org/schema/modeler/1.0" id="Definitions_0wju6gj" targetNamespace="http://bpmn.io/schema/bpmn" exporter="Camunda Modeler" exporterVersion="5.16.0" modeler:executionPlatform="Camunda Platform" modeler:executionPlatformVersion="7.18.0">
  <bpmn:collaboration id="Collaboration_0argxfq">
    <bpmn:participant id="Participant1" name="TBZ" processRef="AttachedEventNonIntTimer" />
  </bpmn:collaboration>
  <bpmn:process id="AttachedEventNonIntTimer" name="Attached Event NonInterruptable Timer Event" isExecutable="true">
    <bpmn:startEvent id="StartEvent_1">
      <bpmn:extensionElements>
        <camunda:executionListener event="end">
          <camunda:script scriptFormat="Javascript">let x = Math.floor(Math.random() * 1000)
execution.setVariable("random",x);
print("Random ProcessId: " + x);</camunda:script>
        </camunda:executionListener>
      </bpmn:extensionElements>
      <bpmn:outgoing>Flow_10eactn</bpmn:outgoing>
    </bpmn:startEvent>
    <bpmn:exclusiveGateway id="Gateway_1xxaebe">
      <bpmn:incoming>Flow_0c6eyf6</bpmn:incoming>
      <bpmn:incoming>Flow_1fsms8c</bpmn:incoming>
      <bpmn:outgoing>Flow_1vyl11g</bpmn:outgoing>
    </bpmn:exclusiveGateway>
    <bpmn:endEvent id="Event_1v205rf">
      <bpmn:incoming>Flow_0y51ps2</bpmn:incoming>
    </bpmn:endEvent>
    <bpmn:sequenceFlow id="Flow_10eactn" sourceRef="StartEvent_1" targetRef="Activity_07kky5c" />
    <bpmn:sequenceFlow id="Flow_0hq7w1b" sourceRef="Activity_07kky5c" targetRef="Activity_1n9v8vn" />
    <bpmn:sequenceFlow id="Flow_0c6eyf6" sourceRef="Activity_1n9v8vn" targetRef="Gateway_1xxaebe" />
    <bpmn:sequenceFlow id="Flow_1fsms8c" sourceRef="Activity_00zup6n" targetRef="Gateway_1xxaebe" />
    <bpmn:sequenceFlow id="Flow_1vyl11g" sourceRef="Gateway_1xxaebe" targetRef="Activity_14aex44" />
    <bpmn:sequenceFlow id="Flow_1itkpp1" sourceRef="Event_0rwtj2v" targetRef="Activity_00zup6n" />
    <bpmn:sequenceFlow id="Flow_0y51ps2" sourceRef="Activity_14aex44" targetRef="Event_1v205rf" />
    <bpmn:scriptTask id="Activity_1n9v8vn" name="A2" scriptFormat="Javascript">
      <bpmn:incoming>Flow_0hq7w1b</bpmn:incoming>
      <bpmn:outgoing>Flow_0c6eyf6</bpmn:outgoing>
      <bpmn:script>let x = execution.getVariable("random");
print(x + " *** A2: wird durchgeführt ***");</bpmn:script>
    </bpmn:scriptTask>
    <bpmn:scriptTask id="Activity_00zup6n" name="A3" scriptFormat="Javascript">
      <bpmn:incoming>Flow_1itkpp1</bpmn:incoming>
      <bpmn:outgoing>Flow_1fsms8c</bpmn:outgoing>
      <bpmn:script>let x = execution.getVariable("random");
print(x + " **** A3: Attached Event wurde aufgerufen ****");</bpmn:script>
    </bpmn:scriptTask>
    <bpmn:scriptTask id="Activity_14aex44" name="A4" scriptFormat="Javascript">
      <bpmn:incoming>Flow_1vyl11g</bpmn:incoming>
      <bpmn:outgoing>Flow_0y51ps2</bpmn:outgoing>
      <bpmn:script>let x = execution.getVariable("random");
print(x + "*** A4: wird durchgeführt ***");</bpmn:script>
    </bpmn:scriptTask>
    <bpmn:userTask id="Activity_07kky5c" name="A1">
      <bpmn:extensionElements>
        <camunda:executionListener event="start">
          <camunda:script scriptFormat="Javascript">let x = execution.getVariable("random");
print(x + " **** A1: Usertask startet");</camunda:script>
        </camunda:executionListener>
      </bpmn:extensionElements>
      <bpmn:incoming>Flow_10eactn</bpmn:incoming>
      <bpmn:outgoing>Flow_0hq7w1b</bpmn:outgoing>
    </bpmn:userTask>
    <bpmn:boundaryEvent id="Event_0rwtj2v" cancelActivity="false" attachedToRef="Activity_07kky5c">
      <bpmn:outgoing>Flow_1itkpp1</bpmn:outgoing>
      <bpmn:timerEventDefinition id="TimerEventDefinition_0qcc4pt">
        <bpmn:timeCycle xsi:type="bpmn:tFormalExpression">R/PT10S</bpmn:timeCycle>
      </bpmn:timerEventDefinition>
    </bpmn:boundaryEvent>
  </bpmn:process>
  <bpmn:signal id="Signal_264hnae" name="SignalNonInterrupt" />
  <bpmndi:BPMNDiagram id="BPMNDiagram_1">
    <bpmndi:BPMNPlane id="BPMNPlane_1" bpmnElement="Collaboration_0argxfq">
      <bpmndi:BPMNShape id="Participant_1mhpkis_di" bpmnElement="Participant1" isHorizontal="true">
        <dc:Bounds x="129" y="117" width="730" height="250" />
        <bpmndi:BPMNLabel />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="_BPMNShape_StartEvent_2" bpmnElement="StartEvent_1">
        <dc:Bounds x="179" y="159" width="36" height="36" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Gateway_1xxaebe_di" bpmnElement="Gateway_1xxaebe" isMarkerVisible="true">
        <dc:Bounds x="595" y="215" width="50" height="50" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Event_1v205rf_di" bpmnElement="Event_1v205rf">
        <dc:Bounds x="802" y="222" width="36" height="36" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Activity_1r26y1q_di" bpmnElement="Activity_1n9v8vn">
        <dc:Bounds x="430" y="137" width="100" height="80" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Activity_13wmtny_di" bpmnElement="Activity_00zup6n">
        <dc:Bounds x="370" y="260" width="100" height="80" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Activity_05d4hjc_di" bpmnElement="Activity_14aex44">
        <dc:Bounds x="670" y="200" width="100" height="80" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Activity_0v0cp85_di" bpmnElement="Activity_07kky5c">
        <dc:Bounds x="270" y="137" width="100" height="80" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Event_0jfzxp6_di" bpmnElement="Event_0rwtj2v">
        <dc:Bounds x="282" y="199" width="36" height="36" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge id="Flow_10eactn_di" bpmnElement="Flow_10eactn">
        <di:waypoint x="215" y="177" />
        <di:waypoint x="270" y="177" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_0hq7w1b_di" bpmnElement="Flow_0hq7w1b">
        <di:waypoint x="370" y="177" />
        <di:waypoint x="430" y="177" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_0c6eyf6_di" bpmnElement="Flow_0c6eyf6">
        <di:waypoint x="530" y="177" />
        <di:waypoint x="620" y="177" />
        <di:waypoint x="620" y="215" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_1fsms8c_di" bpmnElement="Flow_1fsms8c">
        <di:waypoint x="470" y="300" />
        <di:waypoint x="620" y="300" />
        <di:waypoint x="620" y="265" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_1vyl11g_di" bpmnElement="Flow_1vyl11g">
        <di:waypoint x="645" y="240" />
        <di:waypoint x="670" y="240" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_1itkpp1_di" bpmnElement="Flow_1itkpp1">
        <di:waypoint x="300" y="235" />
        <di:waypoint x="300" y="300" />
        <di:waypoint x="370" y="300" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_0y51ps2_di" bpmnElement="Flow_0y51ps2">
        <di:waypoint x="770" y="240" />
        <di:waypoint x="802" y="240" />
      </bpmndi:BPMNEdge>
    </bpmndi:BPMNPlane>
  </bpmndi:BPMNDiagram>
</bpmn:definitions>
